.container {
  width: 95%;
  margin: auto;
}

.tutorials-grid {
  max-width: 80%;
  margin: 20px auto 20px auto;
  padding: 40px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 50px 100px;
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .tutorials-grid {
    max-width: 90%;
    padding: 30px;
    gap: 40px 80px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .tutorials-grid {
    max-width: 90%;
    padding: 30px;
    gap: 35px 50px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .tutorials-grid {
    max-width: 95%;
    padding: 30px;
    gap: 35px 40px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .tutorials-grid {
    max-width: 95%;
    padding: 20px 10px;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px 30px;
  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .tutorials-grid {
    max-width: 95%;
    padding: 30px 10px;
    gap: 20px 20px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .tutorials-grid {
    max-width: 95%;
    padding: 10px;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px 0;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .tutorials-grid {
    max-width: 95%;
    padding: 10px;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px 0;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .tutorials-grid {
    max-width: 95%;
    padding: 20px 10px;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px 50px;
  }
}